Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRReportCompileData

    java.lang.Object
      net.sf.jasperreports.engine.design.JRReportCompileData

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TableReportCompileData

    public class JRReportCompileData

extends java.lang.Object
implements java.io.Serializable

Structure used to hold a report's expression evaluator compile data.

An instantce consists of expression evaluators for the main report dataset and for sub datasets.

Version:
  $Id: JRReportCompileData.java 3732 2010-04-12 13:08:04Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JasperReport.getCompileData()`, Serialized Form

Constructor Summary
`JRReportCompileData()` Default constructor.

Method Summary
`java.io.Serializable` | `getCrosstabCompileData(JRCrosstab crosstab)` Returns the compile data for a crosstab.
`java.io.Serializable` | `getDatasetCompileData(JRDataset dataset)` Returns the compile data for a dataset.
`java.io.Serializable` | `getMainDatasetCompileData()` Returns the compile data for the main dataset.
`java.lang.String` | `getUnitName(JasperReport jasperReport, JRCrosstab crosstab)`
`java.lang.String` | `getUnitName(JasperReport jasperReport, JRDataset dataset)`
`void` | `setCrosstabCompileData(int crosstabId, java.io.Serializable compileData)` Sets the compile data for a crosstab.
`void` | `setDatasetCompileData(JRDataset dataset, java.io.Serializable compileData)` Sets the compile data for a dataset.
`void` | `setMainDatasetCompileData(java.io.Serializable compileData)` Sets the main dataset compile data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRReportCompileData

    public JRReportCompileData()

  Default constructor.

Method Detail

### setMainDatasetCompileData

    public void setMainDatasetCompileData(java.io.Serializable compileData)

  Sets the main dataset compile data.

  Parameters:
    `compileData` - the main dataset compile data

### setDatasetCompileData

    public void setDatasetCompileData(JRDataset dataset,
                                      java.io.Serializable compileData)

  Sets the compile data for a dataset.

  Parameters:
    `dataset` - the dataset
    `compileData` - the compile data

### setCrosstabCompileData

    public void setCrosstabCompileData(int crosstabId,
                                       java.io.Serializable compileData)

  Sets the compile data for a crosstab.

  Parameters:
    `crosstabId` - the generated crosstab Id, which will be used to retreive the crosstab compile data at fill time.
    `compileData` - the compile data

### getMainDatasetCompileData

    public java.io.Serializable getMainDatasetCompileData()

  Returns the compile data for the main dataset.

  Returns:
    the compile data for the main dataset

### getDatasetCompileData

    public java.io.Serializable getDatasetCompileData(JRDataset dataset)
                                               throws JRException

  Returns the compile data for a dataset.

  Parameters:
    `dataset` - the dataset
  Returns:
    the compile data
  Throws:
    `JRException`

### getCrosstabCompileData

    public java.io.Serializable getCrosstabCompileData(JRCrosstab crosstab)
                                                throws JRException

  Returns the compile data for a crosstab.

  Parameters:
    `crosstab` - the crosstab
  Returns:
    the compile data
  Throws:
    `JRException`

### getUnitName

    public java.lang.String getUnitName(JasperReport jasperReport,
                                        JRDataset dataset)

### getUnitName

    public java.lang.String getUnitName(JasperReport jasperReport,
                                        JRCrosstab crosstab)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com